node-postgres (8.16.3+~cs35.24.27-2) unstable; urgency=medium

  * Fix "nocheck" build
  * Don't install test-only components
  * Fix autopkgtest

 -- Yadd <yadd@debian.org>  Sun, 10 Aug 2025 21:05:51 +0200

node-postgres (8.16.3+~cs35.24.27-1) unstable; urgency=medium

  [ Jérémy Lal ]
  * Drop d/README.source, contains outdated info

  [ Yadd ]
  * New upstream version
  * Unfuzz patches
  * Add tsc patch

 -- Yadd <yadd@debian.org>  Sun, 10 Aug 2025 18:43:54 +0200

node-postgres (8.14.1+~cs35.17.33-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.7.2
  * New upstream version 8.14.1+~cs35.17.33
  * Unfuzz patches

 -- Yadd <yadd@debian.org>  Wed, 09 Apr 2025 16:43:08 +0200

node-postgres (8.13.1+~cs35.16.31-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.13.1+~cs35.16.31 (update typescript definitions)

 -- Yadd <yadd@debian.org>  Sun, 26 Jan 2025 19:15:30 +0100

node-postgres (8.13.1+~cs35.16.30-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.13.1+~cs35.16.30

 -- Yadd <yadd@debian.org>  Mon, 28 Oct 2024 08:02:26 +0100

node-postgres (8.12.0+~cs35.15.30-1) unstable; urgency=medium

  * Team upload
  * New upstream version (updates TS declarations)

 -- Yadd <yadd@debian.org>  Sat, 14 Sep 2024 15:32:07 +0400

node-postgres (8.12.0+~cs35.15.26-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.12.0+~cs35.15.26

 -- Yadd <yadd@debian.org>  Tue, 02 Jul 2024 16:35:38 +0400

node-postgres (8.11.5+~cs35.14.26-2) unstable; urgency=medium

  * Team upload
  * Add patch to declare pg-cloudflare as module

 -- Yadd <yadd@debian.org>  Wed, 17 Apr 2024 16:38:27 +0400

node-postgres (8.11.5+~cs35.14.26-1) unstable; urgency=medium

  * Team upload
  * Update lintian override info format in d/source/lintian-overrides
    on line 2-4
  * Remove patches disable-one-ssl-test.patch, fix-buffer-writer-test.patch,
    fix-test-for-node-14.patch that are missing from debian/patches/series
  * Declare compliance with policy 4.7.0
  * New upstream version 8.11.5+~cs35.14.26

 -- Yadd <yadd@debian.org>  Fri, 12 Apr 2024 06:58:20 +0400

node-postgres (8.8.0+~cs35.9.20-1) unstable; urgency=medium

  * Fix test (Closes: #1020132)
  * Embed obuf, pg-native, postgres-range and typescript declarations
  * New upstream version 8.8.0+~cs35.9.20
  * Build with typescript
  * Update dependencies
  * Update copyright

 -- Yadd <yadd@debian.org>  Wed, 05 Oct 2022 08:40:44 +0200

node-postgres (7.14.0-3) unstable; urgency=medium

  * Team upload
  * Fix GitHub tags regex
  * Declare compliance with policy 4.6.0
  * Fix filenamemangle
  * Fix test for tap >= 15 (Closes: #1009525)
  * Fix test for nodejs >= 14

 -- Yadd <yadd@debian.org>  Wed, 13 Apr 2022 13:00:59 +0200

node-postgres (7.14.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.1
  * Add ctype=nodejs to component(s)
  * Use dh-sequence-nodejs
  * Fix buffer-writer test for mocha ≥ 7 (Closes: #978313)
  * Install all components in main nodejs dir

 -- Xavier Guimard <yadd@debian.org>  Sun, 27 Dec 2020 07:48:30 +0100

node-postgres (7.14.0-1) unstable; urgency=medium

  * Update debian/copyright
  * Declare compliance with policy 4.4.1
  * Add "Rules-Requires-Root: no"
  * New upstream version 7.14.0
  * Embed components: pg-numeric
  * Add pg-numeric test
  * Update copyright

 -- Xavier Guimard <yadd@debian.org>  Sun, 24 Nov 2019 13:25:29 +0100

node-postgres (7.12.1-1) unstable; urgency=medium

  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.0
  * Update debian/watch
  * Switch install and test to pkg-js-tools
  * Embed components: pg-cursor
  * New upstream version 7.12.1
  * Enable components tests. This embed "pff" for test only

 -- Xavier Guimard <yadd@debian.org>  Wed, 21 Aug 2019 19:45:59 +0200

node-postgres (7.7.1-3) unstable; urgency=medium

  * Add Xavier Guimard as Uploader, and removing myself,
    due to uncoordinated radical refactoring.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 04 Jan 2019 19:27:37 +0100

node-postgres (7.7.1-2) unstable; urgency=medium

  * Set minimal version for node-xtend to 4.0.1-2

 -- Xavier Guimard <yadd@debian.org>  Fri, 04 Jan 2019 17:51:12 +0100

node-postgres (7.7.1-1) unstable; urgency=medium

  * Team upload
  * Add components (not grouped in version since upstream provides a
    package-lock.json file):
    - buffer-writer
    - packet-reader
    - pg-connection-string
    - pg-pool
    - pg-types
    - pgpass
    - pg-int8
    - postgres-array
    - postgres-bytea
    - postgres-date
    - postgres-interval
  * New upstream version 7.7.1 (Closes: #802213)
  * Remove patch
  * Switch from cdbs to dh
  * Bump debhelper compatibility level to 11
  * Declare compliance with policy 4.3.0
  * Update debian/copyright format url
  * Add node-xtend and node-split in dependencies
  * Add autopkgtest files
  * Disable one stupid ssl test that fails for an unknown reason
  * Add autopkgtest files
  * Disable one stupid ssl test
  * Add source/lintian-overrides
  * Update debian/copyright

 -- Xavier Guimard <yadd@debian.org>  Fri, 04 Jan 2019 17:45:28 +0100

node-postgres (0.13.3-1) unstable; urgency=low

  [ upstream ]
  * New upstream release(s).

  [ Jonas Smedegaard ]
  * Fix update github.com download URL in watch and rules files.
  * Drop .gitignore file.
  * Have git-import-orig suppress .gitignore files.
  * Bump dephelper compatibility level to 8.
  * Bump policy compliance claim to 3.9.5.
  * Update copyright file:
    + Fix use comment pseudo-paragraph to obey silly restrictions of
      copyright format 1.0.
  * Add README.source emphasizing control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Unfuzz patch 2001.
  * Update package relations:
    + Relax build-dependency on cdbs: Needed version satisfied even in
      oldstable.
  * Stop track md5sum of upstream tarball.
  * Update Vcs-Git and Vcs-Browser URLs.
  * Add patch header, and license patch same as upstream code.
  * Extend copyright coverage of packaging, and bump licensing to
    GPL-3+.
  * Fix stop run testsuite (needs custom configured Postgres anyway to
    succeed).
    Closes: bug#707503. Thanks to Lucas Nussbaum.
  * Update rules to use node-gyp (not node-waf).
    Build-depend on node-gyp.
    Closes: bug#707503. Thanks to Lucas Nussbaum.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 06 Sep 2014 21:14:26 +0200

node-postgres (0.7.1-1) unstable; urgency=low

  * New upstream release.
    + Use node-gyp as preferred build helper.

  * Restructure build routines to apply security hardening build flags.
  * Directly use github.com URL (not githubredir.debian.net redirctor)
    when fetching upstream source.
  * Add debian/patches/README documenting patch numbering micro-policy.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 22 Jun 2012 21:16:33 +0200

node-postgres (0.7.0-1) unstable; urgency=low

  * New upstream release.
    + Include command metadata with native query result callback.
    + Use correct parse function for float arrays.
    + Ignore writes to unwritable sockets.
    + Reduce complexity of test runner.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 01 Jun 2012 10:18:30 +0200

node-postgres (0.6.18-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 May 2012 11:12:40 +0200

node-postgres (0.6.15-1) unstable; urgency=low

  * New upstream release.

  * Use anonscm.debian.org for Vcs-Browser field.
  * Extend my copyright for Debian packaging.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 05 Apr 2012 14:45:34 +0200

node-postgres (0.6.14-1) unstable; urgency=low

  * New upstream release.
  * Update copyright file:
    + Shorten and quote license strings in comments.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 19 Mar 2012 20:53:35 +0100

node-postgres (0.6.13-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 03 Mar 2012 02:38:05 +0100

node-postgres (0.6.12-1) unstable; urgency=low

  * Bump copyright file format to 1.0.
  * Bump standards-version to 3.9.3.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 01 Mar 2012 20:31:47 +0100

node-postgres (0.6.10-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 07 Feb 2012 13:17:12 +0100

node-postgres (0.6.9-1) unstable; urgency=low

  * New upstream release.
  * Update watch file to use more flexible regex.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 08 Jan 2012 14:59:13 +0100

node-postgres (0.6.8-1) unstable; urgency=low

  * New upstream release.
  * Git-ignore quilt .pc dir.
  * (Build-)depend on node-generic-pool.
  * Drop dpkg local-options hints from packaging source: now defaults.
  * Bump debhelper compatilibity level to 7.
  * Rename binary package libnode-pg → node-pg.
    Replace and conflict with old name.
  * Relax to build-depend unversioned on debhelper: needed version
    satisfied even in oldstable.
  * Update copyright file: Fix syntax of License field.
    Thanks to lintian.
  * Fix build and install native code.
    Build-depend on nodejs-dev and libpq-dev.
    Make binary package arch-any.
  * Add patch 2001 to fix path for native binding.
  * Enable copyright-check: Build-depend on devscripts.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 04 Dec 2011 10:56:03 +0700

node-postgres (0.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 18 Apr 2011 12:02:26 +0200

node-postgres (0.3.3-1) unstable; urgency=low

  * New upstream release.
  * Bump policy compliance to standards-version 3.9.2.
  * Bump copyright file format to draft 174 of DEP-5.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 Apr 2011 11:07:02 +0200

node-postgres (0.3.2-1) unstable; urgency=low

  * New upstream release.
  * Update copyright file:
    + Bump DEP5 format to daft Subversion rev.173.
    + Shorten and rewrap a comment.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 17 Mar 2011 01:38:52 +0100

node-postgres (0.3.0-1) unstable; urgency=low

  * New upstream release.
  * Package now team-maintained:
    + Set Debian Javascript Maintainers as maintainer.
    + Set myself as uploader.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Mar 2011 11:07:04 +0100

node-postgres (0.2.6-1) experimental; urgency=low

  * Initial release.
    Closes: Bug#611679.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 31 Jan 2011 23:09:20 +0100
